MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029545Community[OCCT] OCCT:Documentationpublic2018-03-05 16:592018-06-29 21:21
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029545: Documentation, visualization.md - article incorrectly specifies that AIS_ConnectedInteractive can define own Material
Descriptionvisualization.md provides the following description:
-*AIS_ConnectedInteractive* is an object instance, which reuses the geometry of the connected object 
but has its own transformation, material, visibility flag, etc. This connection is propagated down to 
*OpenGl* level, namely to *OpenGl_Structure*. *OpenGl_Structure* can be connected only to a single other 
structure.


The statement about Material is wrong - such functionality has been never supported.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024837closedbugmaster Open CASCADE Visualization - revise design and implementation of connected Interactive Objects 
related to 0025560closedapn Community Documentation - describe changes in AIS_InteractiveConnect and AIS_MultipleConnected introduced within 6.8.0 

-  Notes
(0074257)
git (administrator)
2018-03-05 16:59

Branch CR29545 has been created by kgv.

SHA-1: 5a38fec2714d73656def0c3894cc375a3577bea5


Detailed log of new commits:

Author: kgv
Date: Mon Mar 5 16:59:18 2018 +0300

    0029545: Documentation, visualization.md - article incorrectly specifies that AIS_ConnectedInteractive can define own Material
(0074258)
kgv (developer)
2018-03-05 17:00

Patch is ready for review.
(0074404)
san (developer)
2018-03-12 19:47

Branch CR29545 reviewed without remarks, ready for testing.
(0074614)
git (administrator)
2018-03-19 10:05

Branch CR29545 has been deleted by kgv.

SHA-1: 5a38fec2714d73656def0c3894cc375a3577bea5

- Related Changesets
occt: master 49225e2f
Timestamp: 2018-03-05 13:59:18
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029545: Documentation, visualization.md - article incorrectly specifies that AIS_ConnectedInteractive can define own Material
mod - dox/user_guides/visualization/visualization.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-03-05 16:59 kgv New Issue
2018-03-05 16:59 kgv Assigned To => kgv
2018-03-05 16:59 git Note Added: 0074257
2018-03-05 17:00 kgv Note Added: 0074258
2018-03-05 17:00 kgv Assigned To kgv => san
2018-03-05 17:00 kgv Severity minor => trivial
2018-03-05 17:00 kgv Status new => resolved
2018-03-05 17:01 kgv Relationship added related to 0024837
2018-03-05 17:01 kgv Relationship added related to 0025560
2018-03-05 17:01 kgv Description Updated View Revisions
2018-03-12 19:47 san Note Added: 0074404
2018-03-12 19:47 san Assigned To san => bugmaster
2018-03-12 19:47 san Status resolved => reviewed
2018-03-13 15:54 bugmaster Status reviewed => tested
2018-03-18 13:21 bugmaster Changeset attached => occt master 49225e2f
2018-03-18 13:21 bugmaster Status tested => verified
2018-03-18 13:21 bugmaster Resolution open => fixed
2018-03-19 10:05 git Note Added: 0074614
2018-03-19 10:44 bugmaster Test case number => Not needed
2018-06-29 21:16 aiv Fixed in Version => 7.3.0
2018-06-29 21:21 aiv Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker